Bug 1889741 - openshift4-cnf-test | Nodes where PTP agent is running are not detected properly (ptp daemonset)
Summary: openshift4-cnf-test | Nodes where PTP agent is running are not detected prope...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: CNF Platform Validation
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Federico Paolinelli
QA Contact: Nikita
URL:
Whiteboard:
Depends On: 1889621
Blocks: 1889835
TreeView+ depends on / blocked
 
Reported: 2020-10-20 13:39 UTC by Sebastian Scheinkman
Modified: 2020-11-01 15:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: The "ptp damemon is running" test checks that the ptp daemon is running on all the nodes of the cluster, but in configuration we can specify a subset of the nodes to host it. Consequence: The test fails while the component is behaving correctly. Workaround (if any): Ignore the failing test, or configure the ptp daemon to run on all the nodes. Result:
Clone Of: 1889621
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift ptp-operator pull 78 None closed Bug 1889741: Fix the daemonset validation test 2020-11-23 09:49:41 UTC

Description Sebastian Scheinkman 2020-10-20 13:39:41 UTC
+++ This bug was initially created as a clone of Bug #1889621 +++

Description of problem:

PTP test did not pass because cnf-tests did not detect properly the number of nodes running PTP. 

Version-Release number of selected component (if applicable):

quay.io/openshift-kni/cnf-tests:latest

How reproducible:


Steps to Reproduce:
1. Configure the ptpOperatorConfig CRD to run only on a subset of nodes. For instance, nodes where the role label is equal to cnf-worker.
2. podman run -v $(pwd)/:/kubeconfig:Z -v $(pwd)/reports:/reports:Z -e KUBECONFIG=/kubeconfig/kubeconfig -e DISCOVERY_MODE=true quay.io/openshift-kni/cnf-tests:latest /usr/bin/test-run.sh /usr/bin/test-run.sh -ginkgo.focus="ptp"


Actual results:

• Failure [0.652 seconds]
[ptp]
/go/src/github.com/openshift-kni/cnf-features-deploy/vendor/github.com/openshift/ptp-operator/test/ptp/ptp.go:33
  PTP configuration verifications
  /go/src/github.com/openshift-kni/cnf-features-deploy/vendor/github.com/openshift/ptp-operator/test/ptp/ptp.go:38
    Should check that all nodes are running at least one replica of linuxptp-daemon [It]
    /go/src/github.com/openshift-kni/cnf-features-deploy/vendor/github.com/openshift/ptp-operator/test/ptp/ptp.go:61

    should be one instance per node
    Expected
        <int32>: 2
    to be ==
        <int>: 5


Expected results:

PASS since they are just two nodes selected to run the PTP agent.

Additional info:

The nodes where the PTP agent must run is configured in the ptpOperatorConfig CRD. As an example:

                apiVersion: ptp.openshift.io/v1
                kind: PtpOperatorConfig
                metadata:
                  name: default
                  namespace: openshift-ptp
                spec:
                  daemonNodeSelector:
                    node-role.kubernetes.io/worker-cnf: ""

Comment 2 or marziano 2020-11-01 15:40:14 UTC
Hi i ran downstream image: v4.7.0-1 of openshift4-cnf-tests.
Client Version: 4.6.0
Kubernetes Version: v1.19.1

No issues.


Note You need to log in before you can comment on or make changes to this bug.